package com.diagbot.facade;

import com.diagbot.dto.RetrievalDTO;
import com.diagbot.repository.ICDDiseaseNode;
import com.diagbot.repository.ICDDiseaseRepository;
import com.diagbot.vo.RetrievalVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/12 16:44
 */
@Component
public class RetrievalFacade {

    @Autowired
    ICDDiseaseRepository icdDiseaseRepository;

    /**
     * 检索
     *
     * @param retrievalVO
     * @return
     */
    public RetrievalDTO index(RetrievalVO retrievalVO) {
        RetrievalDTO retrievalDTO = new RetrievalDTO();

        if (retrievalVO.getType()==4) {
            retrievalDTO.setDiseaseNames(getDiseaseList());
        }

        return retrievalDTO;
    }


    /*
     * 获取疾病名称列表
     */
    public List<String> getDiseaseList() {

        ICDDiseaseNode diseaseNode = new ICDDiseaseNode();
        List<String> diseaselist = diseaseNode.getDiseaseNameList(icdDiseaseRepository);

        return diseaselist;
    }

}